﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
			 xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
			 xmlns:viewModels="clr-namespace:PizzaIllico.Mobile.ViewModels;assembly=PizzaIllico.Mobile"
			 x:Class="PizzaIllico.Mobile.Pages.UserSettingsPage"
			 x:DataType="viewModels:UserSettingsViewModel">
	<ContentPage.Content>
		<StackLayout>
            
			<!-- Titre   -->
			<Label Text="Compte utilisateur" HorizontalOptions="Center" FontSize="Title" Margin="20"/>
            <Label Text="Editer le profile" HorizontalOptions="Center" FontSize="Subtitle" Margin="20,-20,20,20" IsVisible="{Binding EditProfileForm}"/>
            <Label Text="Editer le mot de passe" HorizontalOptions="Center" FontSize="Subtitle" Margin="20,-20,20,20" IsVisible="{Binding EditPassword}"/>

            <!-- modification du profile -->
            <StackLayout IsVisible="{Binding ShowProfileForm}" VerticalOptions="StartAndExpand" Spacing="10" Margin="20, 0">
                <Entry Placeholder="Prénom"              Text="{Binding UserProfileResponse.FirstName}"	  IsEnabled="{Binding EditProfileForm}" />
                <Entry Placeholder="Nom de famille"      Text="{Binding UserProfileResponse.LastName}"	  IsEnabled="{Binding EditProfileForm}" />
                <Entry Placeholder="Mail"                Text="{Binding UserProfileResponse.Email}"		  IsEnabled="{Binding EditProfileForm}" />
                <Entry Placeholder="Numéro de téléphone" Text="{Binding UserProfileResponse.PhoneNumber}" IsEnabled="{Binding EditProfileForm}" />
            </StackLayout>

            <!-- modification du mot de passe -->
            <StackLayout IsVisible="{Binding EditPassword}" VerticalOptions="StartAndExpand" Spacing="10" Margin="20, 0">
                <Entry Placeholder="Ancient mot de passe" Text="{Binding SetPasswordRequest.OldPassword}" IsPassword="True" />
                <Entry Placeholder="Nouveau mot de passe" Text="{Binding SetPasswordRequest.NewPassword}" IsPassword="True" />
            </StackLayout>

            <!-- choisir le formulaire à modifier -->
            <StackLayout IsVisible="{Binding ShowProfileMenu}" Margin="20">
                <Button Text="Modifier le profile" BackgroundColor="#EFEFEF" TextColor="#2196F3" CornerRadius="5" Command="{Binding GoModifyProfileCommand}"/>
                <Button Text="Modifier le mot de passe" BackgroundColor="#EFEFEF" TextColor="#2196F3" CornerRadius="5" Command="{Binding GoModifyPasswordCommand}"/>
                <Button Text="Historique" BackgroundColor="#EFEFEF" TextColor="#2196F3" CornerRadius="5" Command="{Binding GoCommandHistory}"/>
            </StackLayout>

            <!-- actions du formulaire du profile -->
            <StackLayout IsVisible="{Binding EditProfileForm}" Margin="20">
                <Button Text="Enregistrer" BackgroundColor="#11d13a" TextColor="#ffffff" CornerRadius="5" Command="{Binding UpdateUserCommand}"/>
                <Button Text="Annuler" BackgroundColor="#f32134" TextColor="#ffffff" CornerRadius="5" Command="{Binding UndoCommand}"/>
            </StackLayout>

            <!-- actions du formulaire du mot de passe -->
            <StackLayout IsVisible="{Binding EditPassword}" Margin="20">
                <Button Text="Enregistrer" BackgroundColor="#11d13a" TextColor="#ffffff" CornerRadius="5" Command="{Binding UpdateNewPassWordCommand}"/>
                <Button Text="Annuler" BackgroundColor="#f32134" TextColor="#ffffff" CornerRadius="5" Command="{Binding UndoCommand}"/>
            </StackLayout>

        </StackLayout>
	</ContentPage.Content>
</ContentPage>